com.massivecraft.factions.iface

## Interface EconomyParticipator

- All Superinterfaces:
    RelationParticipator
  All Known Subinterfaces:
    Faction, FPlayer
  All Known Implementing Classes:
    JSONFaction, JSONFPlayer, MemoryFaction, MemoryFPlayer

      public interface EconomyParticipator
      extends RelationParticipator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccountId()`
    `void` | `msg(java.lang.String str, java.lang.Object... args)`
    `void` | `msg(TL translation, java.lang.Object... args)`

    - ### Methods inherited from interface com.massivecraft.factions.iface.RelationParticipator

      `describeTo, describeTo, getColorTo, getRelationTo, getRelationTo`

- - ### Method Detail

    - #### getAccountId

          java.lang.String getAccountId()

    - #### msg

          void msg(java.lang.String str,
                   java.lang.Object... args)

    - #### msg

          void msg(TL translation,
                   java.lang.Object... args)